using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.GridView;

namespace WpfApplication2
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();
            RadGridView1.ItemsSource = from i in Enumerable.Range(0, 100)
                                       select new MyObject() { ID = i, Name = String.Format("Name{0}", i) };
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            IList<GridViewRow> rows = RadGridView1.ChildrenOfType<GridViewRow>();
            foreach (GridViewRow row in rows)
            {
                if (!(row is GridViewNewRow) && !(row is GridViewHeaderRow))
                {
                    CheckBox checkBox = row.Cells[0].ChildrenOfType<CheckBox>().FirstOrDefault();
                    if (checkBox != null && checkBox.IsChecked == true)
                    {
                        MessageBox.Show(String.Format("ID: {0}", ((MyObject) row.DataContext).ID));
                    }
                }
            }
        }
    }

    public class MyObject
    {
        public int ID { get; set; }
        public string Name { get; set; }
    }
}
